textures/map_gates/clouds
{
  nopicmip
  qer_editorimage textures/map_gates/clouds_alpha
  q3map_lightimage textures/map_gates/clouds

  cull disable
  polygonOffset
  
  surfaceparm nonsolid
  surfaceparm nomarks
  surfaceparm trans
  cull disable
  qer_trans 0.5

  {
    map textures/map_gates/clouds
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbgen identity
    tcMod scroll 0.025 0.015
  }

  {
    map $lightmap
    rgbGen identityLighting
    tcGen lightmap
    blendfunc filter
  }
}

textures/map_gates/clouds2
{
  nopicmip
  qer_editorimage textures/map_gates/clouds2_alpha
  q3map_lightimage textures/map_gates/clouds2

  cull disable
  polygonOffset
  
  surfaceparm nonsolid
  surfaceparm nomarks
  surfaceparm trans
  cull disable
  qer_trans 0.5

  {
    map textures/map_gates/clouds2
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbgen identity
    tcMod scroll 0.01 0.006
  }

  {
    map $lightmap
    rgbGen identityLighting
    tcGen lightmap
    blendfunc filter
  }
}

textures/map_gates/fine_grid
{
  nopicmip
  qer_editorimage textures/map_gates/fine_grid_glow
  q3map_lightimage textures/map_gates/fine_grid

  cull disable
  polygonOffset
  
  surfaceparm nonsolid
  surfaceparm nomarks
  surfaceparm trans
  surfaceparm nolightmap
  cull disable
  qer_trans 0.5

  {
    map textures/map_gates/fine_grid
    blendFunc GL_SRC_ALPHA GL_ONE
    rgbgen identity
    //tcMod scroll 0.0125 0.0075
  }

}

textures/map_gates/glass
{
  nopicmip
  qer_editorimage textures/map_gates/glass_alpha
  q3map_lightimage textures/map_gates/glass

  dpreflectcube cubemaps/default/sky
  
  surfaceparm trans
  cull disable
  qer_trans 0.5

  {
    map textures/map_gates/glass
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }

  {
    map $lightmap
    rgbGen identityLighting
    tcGen lightmap
    blendfunc filter
  }
}


textures/map_gates/glass_dark
{
  nopicmip
  qer_editorimage textures/map_gates/glass_dark_alpha
  q3map_lightimage textures/map_gates/glass_dark

  dpreflectcube cubemaps/default/sky
  
  surfaceparm trans
  cull disable
  qer_trans 0.3

  {
    map textures/map_gates/glass_dark
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }

  {
    map $lightmap
    rgbGen identityLighting
    tcGen lightmap
    blendfunc filter
  }
}

textures/map_gates/cred
{
   qer_editorimage textures/map_gates/cred
   surfaceparm trans
   polygonOffset
   cull disable
   nopicmip
   {
           map textures/map_gates/cred
           blendFunc GL_SRC_ALPHA GL_ONE
           rgbgen identity
   }
}

textures/map_gates/ctrl
{
   qer_editorimage textures/map_gates/ctrl
   surfaceparm trans
   polygonOffset
   cull disable
   nopicmip
   {
           map textures/map_gates/ctrl
           blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
           rgbgen identity
   }
}

textures/map_gates/red_pill
{
   qer_editorimage textures/map_gates/red_pill
   q3map_lightimage textures/map_gates/red_pill
   q3map_surfacelight 50

   dpreflectcube cubemaps/default/sky
   qer_trans 0.6
   surfaceparm trans
   surfaceparm nonsolid
   nopicmip

   deformvertexes move 0 0 8 sin 0 1 0.3 1

   {
           map textures/map_gates/red_pill
           blendFunc blend
           rgbgen identity
   }
}

textures/map_gates/blue_pill
{
   qer_editorimage textures/map_gates/blue_pill
   q3map_lightimage textures/map_gates/blue_pill
   q3map_surfacelight 50

   dpreflectcube cubemaps/default/sky
   qer_trans 0.6
   surfaceparm trans
   surfaceparm nonsolid
   nopicmip

   deformvertexes move 0 0 8 sin 0 1 0.3 1

   {
           map textures/map_gates/blue_pill
           blendFunc blend
           rgbgen identity
   }
}

textures/map_gates/forcefield_red
{
  qer_editorimage textures/effects_forcefield/forcefield1_a.tga
  nopicmip
  surfaceparm nolightmap
  surfaceparm trans
  //cull none
  surfaceparm nomarks
  qer_trans 0.8
  
  {
    map textures/effects_forcefield/forcefield1_a.tga
    tcGen environment
    blendfunc blend
    tcMod turb 0 0.25 0 0.5
    tcMod scroll -.5 -.3
  }
}

textures/map_gates/forcefield_blue
{
  qer_editorimage textures/effects_forcefield/forcefield1_b.tga
  nopicmip
  surfaceparm nolightmap
  surfaceparm trans
  //cull none
  surfaceparm nomarks
  qer_trans 0.8
  
  {
    map textures/effects_forcefield/forcefield1_b.tga
    tcGen environment
    blendfunc blend
    tcMod turb 0 0.25 0 0.5
    tcMod scroll -.5 -.3
  }
}